/*
	두 개 이상의 물체가 결합되어 있음을 나타냄

*/
#ifndef cUnitedObject_H
#define cUnitedObject_H

#include "cRealObject.h"
#include <list>

template<class ObjectType>
class cUnitedObject : 
public cRealObject,
public std::list<ObjectType>{
public:
	cUnitedObject();
	virtual ~cUnitedObject();

};

#endif
